// VYSILACI ARDUINO 
//  verze s Bluetooth (HC-05)
//--------------------------



#include <SoftwareSerial.h>                                              // knihovna pro SoftSer
SoftwareSerial BT(10, 11);                                               // RX, TX


#define pin_X              A0                                            // pripojeni joysticku - osa X
#define pin_Y              A1                                            // pripojeni joysticku - osa Y
#define joystick_tl         8                                            // tlacitko na joysticku (vnitrne se spina proti GND)


int   data_X;                                                            // osa X (0 az 1023)
int   data_Y;                                                            // osa Y (0 az 1023)
byte  data_cil;                                                          // cilova poloha serva (0 az 180)


#define servo_ON           90                                            // krajni poloha serva pri stisknutem tlacitku (rozsah 0 az 180)
#define servo_OFF         180                                            // krajni poloha serva pri uvolnenem tlacitku  (rozsah 0 az 180) 




//---------------------------------------------------
void setup()
  {
    Serial.begin(9600);
    BT.begin(9600);                                                      // nastaveni druhe seriove linky
    
    //  nastaveni smeru pinu
    pinMode(pin_X, INPUT);
    pinMode(pin_Y, INPUT); 
    pinMode(joystick_tl, INPUT_PULLUP);

  }


//---------------------------------------------------
void loop()
  {
    data_X = analogRead(pin_X);                                          // aktualni poloha joysticku v ose X
    data_Y = analogRead(pin_Y);                                          // aktualni poloha joysticku v ose Y

    if (digitalRead(joystick_tl) == LOW)  data_cil = servo_ON;           // stav tlacitka na joysticku
    else                                  data_cil = servo_OFF;

    BT.write(0xFF);                                                       // znacka 0xFFFF
    BT.write(0xFF);
    BT.write(data_X / 256);                                               // poloha X
    BT.write(data_X % 256);
    BT.write(data_Y / 256);                                               // poloha Y
    BT.write(data_Y % 256);
    BT.write(data_cil);                                                   // cil serva

    delay(50);
  }

  
